Help get this topic noticed by sharing it on Twitter, Facebook, or email.

midisport 8x8/s legacy driver not installing remote control software

Ive installed the latest driver application from the legacy support site on 2 computers; one with win 7 and the other xp. The remote app software won't install on either computer but the driver installs fine and I can successfully use my 8x8 as a midi interface in cubase 5.

The problem is I bought the 8x8 to be used as a stand alone midi patchbay so using the remote app software is crucial for me. In other support threads on this site i've seen screen caps of this remote app software running on windows 7 so I have no idea what could be wrong in my case. I've also seen a few threads were a dropbox link was given for the remote app software but in all of those threads the dropbox link was broken and 404'd. I got a zip file with both the mac driver and a separate installer for the remote patchbay program but the installer for the driver wont install because my version of mac is too old and i can't find the proper outdated driver for my version on the legacy site.

My 8x8 unit is firmware v1.10 and im using windows 7 ultimate and windows xp sp3 and mac osx 10.3.9 (panther). Please help! I'm sorry if this is posted in the midisport 4x4 but there is no n8x8 section. any help with my 8x8 is appreciated!
2 people have
this problem
+1
Reply